#include "TWTypes.hpp"
#include <fstream.h>

class TWBubble;
class TWSectorArray;

struct Globals
{
   #if (defined(__OS2__) || defined(__EMX__)) // priority adjustment
   static ULONG pclass;
   static LONG pdelta;
   #endif
   static USHORT minSectors, maxSectors, totalSectors;
   static UCHAR maxEntrances;
   static float entMultiplier;
   static TWSectorArray sectors;
   static Bool tunnelEntrance;
   #ifdef DEBUG_ENABLED
   static ofstream debug;
   #endif
};

ULONG ipow(ULONG base, ULONG exponent);
